Page MenuHomeFreeBSD

recv.2: Fix a typo and remove an unneeded Tn macro
ClosedPublic

Authored by 0mp on Apr 26 2018, 12:50 AM.

Details

Summary

mandoc -Tlint recv.2 suggested to remove the Tn macro.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

0mp created this revision.Apr 26 2018, 12:50 AM
kevans added a subscriber: kevans.
kevans added inline comments.
libc/sys/recv.2
299 ↗(On Diff #41874)

I would poke manpages about this part- spacing in man pages always squigs me out, but IIRC this isn't one of those "really needs a space there" scenarios.

bjk added a subscriber: bjk.May 3 2018, 3:47 PM
bjk added inline comments.
libc/sys/recv.2
299 ↗(On Diff #41874)

No space is needed; it only comes into play on lines that interpret macros (i.e., start with '.').

kevans added inline comments.May 3 2018, 3:52 PM
libc/sys/recv.2
299 ↗(On Diff #41874)

Ah, ok, I wasn't sure if there were other things like the comma after e.g. =)

sevan accepted this revision.May 20 2018, 1:37 PM
This revision is now accepted and ready to land.May 20 2018, 1:37 PM
sevan added a comment.May 20 2018, 2:46 PM

The reason the lint tool flagged up the Tn macro, mdoc(7) states:
"Tn
Supported only for compatibility, do not use this in new manuals. Even
though the macro name (``tradename'') suggests a semantic function,
historic usage is inconsistent, mostly using it as a presentation-level
macro to request a small caps font."

eadler added a subscriber: eadler.May 20 2018, 2:47 PM
eadler added inline comments.
libc/sys/recv.2
299 ↗(On Diff #41874)

igor is a really nice tool to find style issues.

0mp added inline comments.May 20 2018, 8:16 PM
libc/sys/recv.2
299 ↗(On Diff #41874)

Mm, nice. I forgot about igor. Thanks!

This revision was automatically updated to reflect the committed changes.